<h2>User <%= @user.username %></h2>

<% if @user.status.nil? %>

    Sorry, the information is being verified <br><br>

<% elsif @user.status %>

    Welcome <strong><%= @user.username %></strong>! Thanks for choosing us as your energy retailer

    <p>
	<strong>Username</strong>
	<%= @user.username %>
    </p>
    <p>
	<strong>Installation Control Point:</strong>
	<%= @user.address.icp %>
    </p>
    <p>
	<strong>Address:</strong>
	<%= @user.address.number %>
	<%= @user.address.street %>,
	<%= @user.address.town_suburb %>,
	<%= @user.address.region_city %>,
	<%= @user.address.postcode %>
    </p>

    <table>
	<tr>
	    <th>Meter number</th>
	    <th>Register number</th>
	    <th>Register decimals</th>
	    <th>Last Reading</th>
	</tr>
	<% @user.address.registers.each do |register| %>
	    <tr>
		<td><%= register.meter_number %></td>
		<td><%= register.register_number %></td>
		<td><%= register.register_decimals %></td>
		<td><%= register.readings.last.kwh.to_s(:rounded, precision: register.register_decimals) if register.readings.last  %></td>
		<td><%= link_to '+ Add Reading', new_reading_path(register_id: register.id) %></td>
	    </tr>
	<% end %>
    </table>

<% else %>

    Your information has been rejected. Try with a valid address.<br><br>

<% end %>

<%= link_to 'Back', root_path %>
